import InitApi from '@/services/api/Init';

const state = {
    user: {},
};

const SET_USER = 'SET_USER';

const mutations = {
    [SET_USER]: (_state: any, payload: object) => {
        _state.user = payload;
    },
};

const actions = {
    setUser: async (context: any) => {
        const { data } = await InitApi.startSession();
        context.commit('SET_USER', data);
        return data;
    },
};

const getters = {
    getUser: (_state: any) => _state.user,
};

export default {
    namespaced: true,
    state,
    mutations,
    actions,
    getters,
};
